Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.logReplayer
Class AbstractLogReplayer

    java.lang.Object
      kieker.tools.logReplayer.AbstractLogReplayer

Direct Known Subclasses:
  FilesystemLogReplayer, JMSLogReplayer

    public abstract class AbstractLogReplayer

extends Object

Replays a monitoring log to a `IMonitoringController` with a given `Configuration`. The `AbstractLogReplayer` can filter by timestamp and replay in real-time.

Since:
  1.6
Author:
  Andre van Hoorn

Field Summary
`static long` | `MAX_TIMESTAMP`
`static long` | `MIN_TIMESTAMP`

Constructor Summary
`AbstractLogReplayer(String monitoringConfigurationFile, boolean realtimeMode, double realtimeAccelerationFactor, boolean keepOriginalLoggingTimestamps, int numRealtimeWorkerThreads, long ignoreRecordsBeforeTimestamp, long ignoreRecordsAfterTimestamp)`

Method Summary
`boolean` | `replay()` Replays the monitoring log terminates after the last record was passed to the configured `IMonitoringController`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_TIMESTAMP

    public static final long MAX_TIMESTAMP

See Also:
  Constant Field Values

### MIN_TIMESTAMP

    public static final long MIN_TIMESTAMP

See Also:
  Constant Field Values

Constructor Detail

### AbstractLogReplayer

    public AbstractLogReplayer(String monitoringConfigurationFile,
                               boolean realtimeMode,
                               double realtimeAccelerationFactor,
                               boolean keepOriginalLoggingTimestamps,
                               int numRealtimeWorkerThreads,
                               long ignoreRecordsBeforeTimestamp,
                               long ignoreRecordsAfterTimestamp)

Parameters:
  `monitoringConfigurationFile` - The name of the `monitoring.properties` file.
  `realtimeMode` - Determines whether to use real time mode or not.
  `realtimeAccelerationFactor` - Determines whether to accelerate (value > 1.0) or slow down (<1.0) the replay in realtime mode by the given factor. Choose a value of 1.0 for "real" realtime mode (i.e., no acceleration/slow down)
  `keepOriginalLoggingTimestamps` - Determines whether the original logging timestamps will be used of whether the timestamps will be modified.
  `numRealtimeWorkerThreads` - Determines how many realtime worker threads should be used.
  `ignoreRecordsBeforeTimestamp` - The lower limit for the time stamps of the records.
  `ignoreRecordsAfterTimestamp` - The upper limit for the time stamps of the records.

Method Detail

### replay

    public boolean replay()

  Replays the monitoring log terminates after the last record was passed to the configured `IMonitoringController`.

  Returns:
    true on success; false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net